org.springframework.http.server

## Class ServletServerHttpRequest

- java.lang.Object
- - org.springframework.http.server.ServletServerHttpRequest

- All Implemented Interfaces:
    HttpInputMessage, HttpMessage, HttpRequest, ServerHttpRequest
  Direct Known Subclasses:
    RequestPartServletServerHttpRequest

      public class ServletServerHttpRequest
      extends Object
      implements ServerHttpRequest

  `ServerHttpRequest` implementation that is based on a `HttpServletRequest`.
  Since:
    3.0
  Author:
    Arjen Poutsma

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `FORM_CHARSET`
    `protected static String` | `FORM_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletServerHttpRequest(HttpServletRequest servletRequest)` Construct a new instance of the ServletServerHttpRequest based on the given `HttpServletRequest`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerHttpAsyncRequestControl` | `getAsyncRequestControl(ServerHttpResponse response)` Return a control that allows putting the request in asynchronous mode so the response remains open until closed explicitly from the current or another thread.
    `InputStream` | `getBody()` Return the body of the message as an input stream.
    `HttpHeaders` | `getHeaders()` Return the headers of this message.
    `InetSocketAddress` | `getLocalAddress()` Return the address on which the request was received.
    `HttpMethod` | `getMethod()` Return the HTTP method of the request.
    `Principal` | `getPrincipal()` Return a `Principal` instance containing the name of the authenticated user.
    `InetSocketAddress` | `getRemoteAddress()` Return the address of the remote client.
    `HttpServletRequest` | `getServletRequest()` Returns the `HttpServletRequest` this object is based on.
    `URI` | `getURI()` Return the URI of the request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORM_CONTENT_TYPE

          protected static final String FORM_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### FORM_CHARSET

          protected static final String FORM_CHARSET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServletServerHttpRequest

          public ServletServerHttpRequest(HttpServletRequest servletRequest)

      Construct a new instance of the ServletServerHttpRequest based on the given `HttpServletRequest`.
      Parameters:
        `servletRequest` - the servlet request

  - ### Method Detail

    - #### getServletRequest

          public HttpServletRequest getServletRequest()

      Returns the `HttpServletRequest` this object is based on.

    - #### getMethod

          public HttpMethod getMethod()

      Description copied from interface: `HttpRequest`
      Return the HTTP method of the request.
      Specified by:
        `getMethod` in interface `HttpRequest`
      Returns:
        the HTTP method as an HttpMethod enum value

    - #### getURI

          public URI getURI()

      Description copied from interface: `HttpRequest`
      Return the URI of the request.
      Specified by:
        `getURI` in interface `HttpRequest`
      Returns:
        the URI of the request

    - #### getHeaders

          public HttpHeaders getHeaders()

      Description copied from interface: `HttpMessage`
      Return the headers of this message.
      Specified by:
        `getHeaders` in interface `HttpMessage`
      Returns:
        a corresponding HttpHeaders object

    - #### getPrincipal

          public Principal getPrincipal()

      Description copied from interface: `ServerHttpRequest`
      Return a `Principal` instance containing the name of the authenticated user. If the user has not been authenticated, the method returns `null`.
      Specified by:
        `getPrincipal` in interface `ServerHttpRequest`

    - #### getLocalAddress

          public InetSocketAddress getLocalAddress()

      Description copied from interface: `ServerHttpRequest`
      Return the address on which the request was received.
      Specified by:
        `getLocalAddress` in interface `ServerHttpRequest`

    - #### getRemoteAddress

          public InetSocketAddress getRemoteAddress()

      Description copied from interface: `ServerHttpRequest`
      Return the address of the remote client.
      Specified by:
        `getRemoteAddress` in interface `ServerHttpRequest`

    - #### getBody

          public InputStream getBody()
                              throws IOException

      Description copied from interface: `HttpInputMessage`
      Return the body of the message as an input stream.
      Specified by:
        `getBody` in interface `HttpInputMessage`
      Returns:
        the input stream body
      Throws:
        `IOException` - in case of I/O Errors

    - #### getAsyncRequestControl

          public ServerHttpAsyncRequestControl getAsyncRequestControl(ServerHttpResponse response)

      Description copied from interface: `ServerHttpRequest`
      Return a control that allows putting the request in asynchronous mode so the response remains open until closed explicitly from the current or another thread.
      Specified by:
        `getAsyncRequestControl` in interface `ServerHttpRequest`